/*indexfa
 *search for string in ASCII file
 *stops at EOF (^Z)
 *Part of Model 100 Small C-85 Library
 *
 *Willard Goosey
 *goosey@sdc.org
 *6/23/2017
 */

/*$Id: indexfa.c,v 1.2 2017/10/27 00:42:28 goosey Exp goosey $
 */

/*was...
 *from SmallC-85 library...*/
/*      index - find index of string t in s
 *      reference CPL 67.
 */
#include <stdio.h>
#define EOS 0
#define M100EOF 0x1a

indexfa(s, t)
char s[], t[];{
        int i, j, k;
        for (i = 0; s[i]!=M100EOF; i++){
                k=0;
                for (j=i;(t[k]!=EOS & s[j]==t[k]); j++)
                        k++;
                        ;
                if (t[k] == EOS)
                        return(i);
                }
        return(-1);
        }
