//makfnkt.c
//Lex style
//alxevans@concentric.net

//part of M100 lib for SmallC-85
//supported by
//Willard Goosey
//goosey@sdc.org
//5/24/2017

//$Id: makfnkt.c,v 1.1 2017/05/24 15:55:51 goosey Exp goosey $
//Lex does evil terse C but its smaller than mine

makfnkt(int in[], char *out)
{
  int i;
  char *word;

  for(i=0;i<8;i++)
  {
    word=in[i];
    if(!in[i])   //can have null entries
      *(out++)=128; //just a terminator for those
    else
    {
      for(;*word;word++) //loop through each entry
	if(*word>0) *(out++)=*word; //copy it
      out--;   //back off one
      *(out++)|=128;  //set parity bit of last char
    }
  }
  *(out++)=0;  //null terminate also
}
