/*esccode.h
 *part of M100 lib for Small C
 *Willard Goosey
 *goosey@sdc.org
 *3/28/2017
 */

/*$Id: esccode.h,v 1.1 2017/03/28 06:12:44 goosey Exp goosey $*/

/*defines for the M100s terminal emulator escape codes*/

#define SETSYS 'T' //lock status line
#define RSTSYS 'U' //unlock status line
#define LOCK 'Y' //turn on no-scroll
#define UNLOCK 'W' //turn off no-scroll
#define CURSON 'P' //turn on text cursor
#define CUROFF 'Q' //turn off text cursor
#define DELLIN 'M' //delete current line
#define INSLIN 'I' //insert line
#define ERAEOL 'K' //erase from cursor to end of line
#define ENTREV 'p' //turn on reverse video
#define EXTREV 'q' //turn off reverse video

