#include "dir.h"
#include "m100vars.h"

main(char A, int HL)
{
  struct dir *entry;
  int lines,len,count,top;
  char a;
  char name[10];

  entry=FREDIR();

  mkpnam(entry->dir_name , name);
  puts(name);
  len=strlen(name);
  for(count=0;count<11-len;count++) //pad name out
    putc(' ');
  hex8(entry->dir_flag);
  putc('=');
  vamri(entry->dir_flag);
  putc(' ');
  hex16(entry->dir_start);
    
  chget(); //wait for a key after last entry displayed
}

vamri(unsigned char flag)
{
  /*Valid
   *Ascii
   *Machine language
   *Rom
   *Invisible
   *
   *these are the bits of the ram directory flag byte
   */
  char out[6];

  if(flag & DIR_VALID)
    out[0]='V';  //Valid
  else
    out[0]='i';  //inValid
  if(flag & DIR_ASCII)
    out[1]='A';  //ASCII
  else
    out[1]='b';  //binary
  if(flag & DIR_ML)
    out[2]='M';  //Machine language
  else
    out[2]='-';  //not machine language
  if(flag & DIR_ROM)
    out[3]='R';  //ROM
  else
    out[3]='r';  //RAM
  if(flag & DIR_INVIS)
    out[4]='I';  //Invisible
  else
    out[4]='v';  //visible
  out[5]=0;
  puts(out);
}
