/*tmfba.c
 *Test MakFil2 - make an empty basic file
 *test for Model 100 Small C-85 Library
 *
 *Willard Goosey
 *goosey@sdc.org
 *11/9/2017
 */

#include "m100vars.h"
#include "dir.h"


/*MAKFIL extension bytes: */
#define BA 0x80
#define DO 0xC0
#define CO 0xA0

main(char A, char *HL)
{
  char *name; 
  struct dir *slot;
  char *start;
  int i;

  name= "RTMF2.BA";
  start= DOSTART-1; //start at the end of BA files
  

  slot=FREDIR();  

  hex16(start);CRLF();

  prsnam(name,strlen(name));

  hex16(makfil(slot,start-1,BA)); CRLF(); //point dir entry one byte before it
  if(makhol(2,start)<0) //make 2 byte hole
  {
    BEEP(); //failed, warn of likely fs corruption
    MENU();
  }
  *start=0x00;
  ++start;
  *start=0x00; //double null=eof for basic file

  DOSTART+=2; //fix text filepointer
  //makhol adjusts COSTART


  DIROK();  //aka lnkfil. fix directory entries

}
